#include<stdio.h>
#include<stdlib.h>
#include<unistd.h>
#include<stdint.h>
#include<errno.h>
#include<sys/socket.h>
#include<signal.h>

#define DEBUG 1
#define TRUE 1
#define HEADER_CMD_INDEX  0
#define HEADER_CMD_SIZE   1
#define MESSAGE_RESPONSE 1
#define MAX_SIZE_OF_CMD 10

/* MSG */
#define MSG_SRC_USERNAME_START  1
#define MSG_SRC_USERNAME_LENGTH 8
#define MSG_SRC_USERNAME_END    (1 + MSG_SRC_USERNAME_LENGTH)
#define MSG_DEST_USERNAME_START 1
#define MSG_DEST_USERNAME_LENGTH 8
#define MSG_DEST_USERNAME_END   (1 + MSG_DEST_USERNAME_LENGTH)
#define MSG_DATA 	(1 + MSG_DEST_USERNAME_END)
#define MSG_START 1 

/* LOGING REQ */
#define LOGIN_REQ_USERNAME_START 	(HEADER_CMD_INDEX + 1)
#define LOGIN_REQ_USERNAME_END 		(LOGIN_REQ_USERNAME_START + MAX_USERNAME_SIZE)
#define LOGIN_REQ_PASSWORD_START 	(LOGIN_REQ_USERNAME_END  + 1)
#define LOGIN_REQ_PASSWORD_END 		(LOGIN_REQ_PASSWORD_START + MAX_PASSWORD_SIZE)

#define MAX_MESSAGE_SIZE 300
#define MAX_USERNAME_SIZE 8
#define MAX_PASSWORD_SIZE 8

